<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Multimedia directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2012.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
Name:
	multimedia_categoryname_rh.cfm
ADF App:
	PT Multimedia
Version:
	2.0
History:
	2010-08-20 - DMB - Created
	2012-09-06 - MFC - Updated to load the App Style CSS.
	2012-09-10 - MFC - Updated html with DIV clears for CS Work Mode spacing.
--->
<cfscript> 
	items = attributes.elementInfo.elementData.propertyValues;
	
	
	// grab the search results page url from the config element
	if ( (StructKeyExists(server.ADF.environment[request.site.id].ptMultimedia, "searchResults")) AND (LEN(server.ADF.environment[request.site.id].ptMultimedia.searchResults)) ) {
		searchResultsURL = server.ADF.environment[request.site.id].ptMultimedia.searchResults;
		}
	else {
		searchResultsURL = "";
		}
</cfscript>
<cfoutput>
	<!--- Load the Styles --->
	<link rel="stylesheet" href="/ADF/apps/pt_multimedia/style/ptmultimedia.css" type="text/css" >
	<div class="ptmultimedia-header">
		<cftry>
		<h3 class="smallh3" style="border-bottom:0px solid;">#items[1].values.title#&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;<a href="#searchResultsURL#?categoryID=#items[1].values.categoryid#">View All</a></h3>
		<cfcatch>
		Please edit the elements rendermode and select a filter for the category to display.
		</cfcatch>
		</cftry>
	</div>
	<div style="clear:both;"></div>
</cfoutput>
